Subject: Re: Box Elder bugs

From: D Hayman <[email-masked]>
Date: 26 Apr 1996 23:18:41 GMT

Boy, what a mess they are.  Had all sorts of problems last year, and this seems to be another banner year.  They seem indestructible, and certainly are inedible.  I'd appreciate any information also.  I was told by entomologist that they only feed on box elder tress, but that doesn't seem correct. A soap solution is effective is breaking down their "waxy" membrane, which I was told prohibits or retards many pesticides.  I noted perhaps 50% mortality with dish soap solution alone, will try a combination of Sevin and soap.